local game

love.load = function()
	local LoveSweeper = require 'lovesweeper'
	game = LoveSweeper {
		ui = {
			cellw = 24,
			cellh = 24,
			fontsize = 16,
			menux = 0,
			menuy = 0,
			menuw = 320,
			menuh = 240,
			screenw = 800,
			screenh = 600,
		},

		keydelay = 0.1,
		tapdelay = 0.2,
		colors = require 'colors',
		controls = require 'controls',

		gamekwargs = {
			width = 32,
			height = 23,
			nmines = 64,
		},
	}
end


love.draw = function()
	love.graphics.setBackgroundColor {128, 196, 255}
	game:draw()
end

love.mousereleased = function(x, y, button)
	game:clicked(x, y, button)
end

love.keyreleased = function(key)
	game:control(key)
end

love.keypressed = function(key)
	game:press(key)
end

love.update = function(dt)
	game:update(dt)
end

love.focus = function()
	game.showmenu = true
	game.menu.selected = 5 -- Cancel button
end
